- Qt 5.15
- Qt Sensors
- C++ Classes
- QSensorChangesInterface
- Qt 5.15.11 Reference Documentation

# QSensorChangesInterface Class

The QSensorChangesInterface class is the pure virtual interface to sensor plugins. More...

Header: | #include <QSensorChangesInterface>
qmake: | QT += sensors
Since: | Qt 5.1

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual void | sensorsChanged() = 0

## Detailed Description

The QSensorChangesInterface class is implemented in sensor plugins to receive notification that registered sensor backends have changed.

See also Creating a sensor plugin.

## Member Function Documentation

### `[pure virtual]` void QSensorChangesInterface::sensorsChanged()

This function is called when the registered backends have changed. Any backends that depend on the presence of other sensors should be registered or unregistered in here.

See also Creating a sensor plugin.